libinklevel-dev_0.9.3-1_i386.deb


Advertisement

Description

libinklevel-dev - development files for libinklevel5

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libinklevel-dev_0.9.3-1_i386.deb
Package name libinklevel-dev
Package version 0.9.3
Package release 1
Package architecture i386
Package type deb
Category devel::library hardware::printer libdevel role::devel-lib
Homepage http://libinklevel.sourceforge.net/
License -
Maintainer Debian QA Group <packages@qa.debian.org>
Download size 26.61 KB
Installed size 92.00 KB
The aim of this library is to provide a way to check the ink level of a local
printer.
It supports printers attached via parallel port or USB.
Many HP, Epson and Canon printers are supported.
Development files.

Alternatives

Package Version Architecture Repository
libinklevel-dev_0.9.3-1_amd64.deb 0.9.3 amd64 Debian Main
libinklevel-dev - - -

Requires

Name Value
libinklevel5 = 0.9.3-1

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libinklevel-dev_0.9.3-1_i386.deb
Source Package libinklevel

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libinklevel-dev deb package:
    # sudo apt-get install libinklevel-dev

Files

Path
/usr/include/inklevel.h
/usr/lib/i386-linux-gnu/libinklevel.a
/usr/lib/i386-linux-gnu/libinklevel.so
/usr/share/doc/libinklevel-dev

Changelog

2019-02-19 - Boyuan Yang <byang@debian.org>
libinklevel (0.9.3-1) unstable; urgency=medium
* QA upload.
* Rebuild for Debian Buster.
* New upstream release (0.9.3, 2018-07-14).
* debian/control:
+ Bump debhelper compat to v12.
+ Bump Standards-Version to 4.3.0.
+ Use "Rules-Requires-Root: no".
+ Mark all binary packages as Multi-Arch: same.
+ Add Vcs-* fields to use git packaging repo under Salsa
Debian Group.
* debian/copyright: Use secure uri.
* debian/rules:
+ Enable full hardening.
+ Use "dh_missing --fail-missing".
* debian/make-supported-list.py:
+ Explicitly mark that this script is to be compatible only
with Python 2.
* debian/libinklevel5.README.Debian: Updated.
* debian/libinklevel5.symbols: Add a Build-Depends-Package field.
* debian/not-installed: Do not install unnecessary files (.la
files and extra documents).
2015-11-06 - Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>
libinklevel (0.9.2-3) unstable; urgency=medium
* QA upload.
* debian/copyright: removed extra blank line.
* debian/libinklevel5.README.Debian:
- Included with list of supported and unsupported printers.
* debian/rules:
- Removed python script that run and use network during building time.
2015-08-17 - Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>
libinklevel (0.9.2-2) unstable; urgency=medium
* QA upload.
* Upload to unstable.
2015-08-15 - Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>
libinklevel (0.9.2-1) experimental; urgency=medium
* QA upload.
* New upstream release.
* DH level to 9.
* debian/control:
- Bumped Standards-Version to 3.9.6.
- Add libusb-1.0-0-dev to Build-Depends field.
* debian/copyright:
- Migrated to 1.0 format.
- Revised and updated all information.
* debian/clean: added to remove file generated by upstream when building.
* debian/libinklevel5.install: added support to multiarch paths.
* debian/libinklevel-dev.install: added support to multiarch paths.
* debian/patches:
- Removed because support to KFreeBSD was included by upstream.
* debian/rules:
- Updated to reduced format.
- Included override_dh_auto_install
to create README.Debian with (un)supported printer list.
- Include override_dh_link to remove libdev doc dir to allow
symlinking it to the lib's one
* debian/watch: improved.
2014-08-19 - Aurelien Jarno <aurel32@debian.org>
libinklevel (0.8.0-3) unstable; urgency=medium
* QA upload.
* Capitalize "usb" in extended description. Closes: #580150.
* Use dh-autoreconf instead of autotools-dev. Closes: #744615.
2014-04-09 - Moritz Muehlenhoff <jmm@debian.org>
libinklevel (0.8.0-2) unstable; urgency=low
* QA upload, set maintainer to Debian QA grup
* Update standards version
* Convert to source format 3 (quilt), drop dpatch
2009-07-07 - Raphael Geissert <geissert@debian.org>
libinklevel (0.8.0-1.1) unstable; urgency=low
* Non-maintainer upload.
* Fix bashism in debian/rules. Closes: #535380
2009-07-01 - Adam Cécile (Le_Vert) <gandalf@le-vert.net>
libinklevel (0.8.0-1) unstable; urgency=low
* New upstream release
* Regenerate README.Debian (with supported printers list).
* Bump Standards-Version.
2009-04-30 - Adam Cécile (Le_Vert) <gandalf@le-vert.net>
libinklevel (0.8.0~rc2-1) unstable; urgency=low
* New upstream release.
* Few packaging fix because upstream now uses autotools.
* Regenerate README.Debian (with supported printers list).
* Bump Standards-Version.
2009-02-13 - Adam Cécile (Le_Vert) <gandalf@le-vert.net>
libinklevel (0.8.0~rc1-1) unstable; urgency=low
* New upstream release.
* Fix debian/watch.
* Update debian/copyright.
* Bump Standards-Version.
* Add xutils-dev build dependency (provides makedepend tool).
* Bump library package name to match current soname.

See Also

Package Description
libinklevel5_0.9.3-1_i386.deb library for checking the ink level of your local printer
libinline-c-perl_0.78-1_all.deb C Language Support for Inline
libinline-files-perl_0.68-1_all.deb module to handle multiple virtual files at the end of your code
libinline-java-perl_0.66-2+b1_i386.deb write Perl classes in Java
libinline-perl_0.81-1_all.deb module for producing simple Foreign Function Interfaces
libinline-python-perl_0.56-1+b1_i386.deb module to write Perl subs and classes in Python
libinnodb-dev_1.0.6.6750-1_i386.deb Embedded InnoDB Library (dev files)
libinnodb3_1.0.6.6750-1_i386.deb Embedded InnoDB Library
libinotify-ocaml-dev_1.0-2+b1_i386.deb OCaml bindings for the inotify API
libinotify-ocaml_1.0-2+b1_i386.deb OCaml bindings for the inotify API
libinotifytools0-dev_3.14-7_i386.deb Development library and header files for libinotifytools0
libinotifytools0_3.14-7_i386.deb utility wrapper around inotify
libinput-bin_1.12.6-2_i386.deb input device management and event handling library - udev quirks
libinput-dev_1.12.6-2_i386.deb input device management and event handling library - development files
libinput-pad-dev_1.0.3-3_i386.deb On-screen Input Pad to Send Characters with Mouse - dev
Advertisement
Advertisement